export class LocalEventEmitter {
  /**
   * Singleton class private contructor
   */
  constructor() {
    this._events = {};
  }
  /**
   * Singleton class create instance
   */
  static getInstance() {
    if (!LocalEventEmitter.instance) {
      LocalEventEmitter.instance = new LocalEventEmitter();
    }
    return LocalEventEmitter.instance;
  }
  dispatch(event, data) {
    var _a;
    if (!this._events || !this._events[event])
      return;
    (_a = this._events[event]) === null || _a === void 0 ? void 0 : _a.forEach(callback => callback(data));
  }
  subscribe(event, callback) {
    var _a;
    if (!this._events[event])
      this._events[event] = [];
    (_a = this._events[event]) === null || _a === void 0 ? void 0 : _a.push(callback);
  }
  unsubscribe(event) {
    if (!this._events[event])
      return;
    delete this._events[event];
  }
}
