export class LocalJsonStorage {
  /**
   * Singleton class private contructor
   */
  constructor() { }
  /**
   * Singleton class create instance
   */
  static getInstance() {
    if (!LocalJsonStorage.instance) {
      LocalJsonStorage.instance = new LocalJsonStorage();
    }
    return LocalJsonStorage.instance;
  }
  /**
   * Add key and value
   *
   * @param key
   * @param value
   */
  add(key, value) {
    value = JSON.stringify(value);
    localStorage.setItem(key, value);
  }
  /**
   * Get value for key
   *
   * @param key
   * @returns
   */
  get(key) {
    let value = localStorage.getItem(key);
    if (!value || value == "")
      return null;
    return JSON.parse(value);
  }
  /**
   * Remove value for key
   *
   * @param key
   */
  remove(key) {
    localStorage.removeItem(key);
  }
}
